# Interface methods for submodule: DisplacementFieldJacobianDeterminantFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DisplacementFieldJacobianDeterminantFilter
class DisplacementFieldJacobianDeterminantFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, arg0: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacingOn(self) -> None:
		""""""
		...

	def SetUseImageSpacingOff(self) -> None:
		""""""
		...

	def SetDerivativeWeights(self, arg0: Sequence[float]) -> None:
		""""""
		...

	def GetDerivativeWeights(self) -> Sequence[float]:
		""""""
		...

